Requires
Idempotency-Key header.Path parameters
The numeric ID of the beneficiary payment method to update.
Request body
Updated key/value pairs of account details. Must match the required fields for the payment method.
curl -X PUT 'https://api.yativo.com/api/v1/beneficiaries/payment-methods/update/101' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-H 'Idempotency-Key: update-pm-101-001' \
-d '{
"account_details": {
"account_number": "98765432",
"bank_code": "014",
"account_type": "savings",
"rut": "12.345.678-9"
}
}'
{
"status": "success",
"status_code": 200,
"message": "Payment method updated successfully",
"data": {
"id": 101,
"beneficiary_id": "ben-7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
"payment_method_id": 42,
"method_name": "Bank Transfer",
"currency": "CLP",
"country": "CHL",
"account_details": {
"account_number": "98765432",
"bank_code": "014",
"account_type": "savings",
"rut": "12.345.678-9"
},
"updated_at": "2026-04-02T15:00:00.000000Z"
}
}
Update account details for a saved beneficiary payment method
PUT /beneficiaries/payment-methods/update/{id}
Idempotency-Key header.curl -X PUT 'https://api.yativo.com/api/v1/beneficiaries/payment-methods/update/101' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-H 'Idempotency-Key: update-pm-101-001' \
-d '{
"account_details": {
"account_number": "98765432",
"bank_code": "014",
"account_type": "savings",
"rut": "12.345.678-9"
}
}'
{
"status": "success",
"status_code": 200,
"message": "Payment method updated successfully",
"data": {
"id": 101,
"beneficiary_id": "ben-7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
"payment_method_id": 42,
"method_name": "Bank Transfer",
"currency": "CLP",
"country": "CHL",
"account_details": {
"account_number": "98765432",
"bank_code": "014",
"account_type": "savings",
"rut": "12.345.678-9"
},
"updated_at": "2026-04-02T15:00:00.000000Z"
}
}